# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# khtml::CachedImage Class Reference

a cached image More...

`#include <loader.h>`

Inheritance diagram for khtml::CachedImage:

[legend]
Collaboration diagram for khtml::CachedImage:

[legend]
List of all members.

## Public Member Functions

| CachedImage (DocLoader *dl, const DOM::DOMString &url, KIO::CacheControl cachePolicy, time_t _expireDate)
const QPixmap & | pixmap () const
const QPixmap & | tiled_pixmap (const QColor &bg)
QSize | pixmap_size () const
QRect | valid_rect () const
void | ref (CachedObjectClient *consumer)
virtual void | deref (CachedObjectClient *consumer)
virtual void | data (QBuffer &buffer, bool eof)
virtual void | error (int err, const char *text)
bool | isTransparent () const
bool | isErrorImage () const
void | setShowAnimations (KHTMLSettings::KAnimationAdvice)
virtual bool | schedule () const
virtual void | finish ()

## Protected Member Functions

void | clear ()

## Friends

class | Cache

## Detailed Description

a cached image

Definition at line 243 of file loader.h.

The documentation for this class was generated from the following files:

- loader.h
- loader.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:13 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001